$(document).ready(function() {
  /* Activating Best In Place */
  jQuery(".best_in_place").best_in_place();

  /* enable checkboxes updates */
  var updateCheckbox = function(url,score_type){
    $.ajax({
      method: "PUT",
      url: url,
      headers: {
        'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
      },
      success: function(response){console.log(response);},
      data: { score: {score_type: score_type} }
    });
  };


  $('.score_type_checkbox').change(function() {
    var form_action = $(this).parent().attr('action');
    var elements = $(this).parent().find('.score_type_checkbox');
    console.log(elements);
    var values = [];

    for (var i = 0; i < elements.length; i++) {
      if (elements[i].checked)
        values[i] = elements[i].value;
    }

    if (values.length == 0) {
      alert("Você deve selecionar pelo menos uma categoria!");
    }
    else {
      updateCheckbox(form_action, values);
    }
  });

});
