module UsersHelper

  def current_user_page?(user)
    return current_user.id == user.id if user_signed_in?
    false
  end

  def learning_objects_number(learning_objects)
    if learning_objects.count == 0
      return 'Nenhum item'
    end
    pluralize(learning_objects.count, 'item', 'itens')
  end

  def render_user(orientation, user)
    # case (orientation)
    #   when "vertical"
    #     render "users/user_vertical", user: user
    #   when "horizontal"
    #     render "users/user_horizontal", user: user
    #   else
    #     render "users/user_horizontal", user: user
    # end
    render "users/user_horizontal", user: user
  end

end
